%define ver_major 2.10

Name: gnome-terminal
Version: %ver_major.0
Release: alt1

Summary: GNOME Terminal
License: GPL
Group: Terminals
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2
Source1: %name-32.png
Source2: %name-16.png

%define GConf_ver 2.10.0
%define scrollkeeper_ver 0.3.14
%define glib_ver 2.6.3
%define pango_ver 1.8.1
%define gtk_ver 2.6.4
%define libgnomeui_ver 2.10.0
%define libgnome_ver 2.10.0
%define vte_ver 0.11.12
%define startup_notification_ver 0.8
%define glade_ver 2.5.1
%define rpm_ver 4.0.4-alt14

PreReq: GConf2 >= %GConf_ver
PreReq: scrollkeeper >= %scrollkeeper_ver
PreReq: libvte >= %vte_ver
Requires: common-licenses
Requires: xfonts-uni-vga

BuildPreReq: GConf2 >= %GConf_ver
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libgnome-devel >= %libgnome_ver
BuildPreReq: libpango-devel >= %pango_ver
BuildPreReq: libglade2-devel >= %glade_ver
BuildPreReq: libstartup-notification-devel >= %startup_notification_ver
BuildPreReq: rpm >= %rpm_ver
BuildPreReq: libvte-devel >= %vte_ver

# Automatically added by buildreq on Thu Feb 24 2005
BuildRequires: GConf2 ORBit2-devel XFree86-devel-static XFree86-libs common-licenses esound fontconfig-devel freetype2-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libglade2-devel libgnome-devel libgnome-keyring libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libncurses-devel libpango-devel libpopt-devel libstartup-notification-devel libstdc++-devel libvte-devel libxml2-devel perl-XML-Parser pkgconfig scrollkeeper zlib-devel

%description
GNOME terminal emulator application.

%prep
%setup -q

# license (mhz)
%__rm -f COPYING
%__ln_s -f %_licensedir/GPL-2 COPYING

%build
%configure

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# menu
%__cat <<__MENU__ >%name.menu
?package(%name): needs="X11" section="%group" title="GNOME Terminal" \
longtitle="Terminal Emulator for the GNOME 2 desktop" command="%_bindir/%name" \
icon="%name.png"
__MENU__

%__install -pD -m644 %name.menu %buildroot%_menudir/%name

# icons
%__mkdir_p %buildroot{%_iconsdir,%_miconsdir,%_liconsdir}
%__cp -f %SOURCE1 %buildroot%_iconsdir/%name.png
%__cp -f %SOURCE2 %buildroot%_miconsdir/%name.png
%__cp -f %buildroot%_datadir/pixmaps/%name.png %buildroot%_liconsdir/%name.png

# remove non-packaged files
%__rm -rf %buildroot/var

%find_lang --with-gnome %name

%post
%gconf2_install %name
%gconf2_set string /apps/gnome-terminal/profiles/Default/foreground_color \#D6D5D2
%gconf2_set string /apps/gnome-terminal/profiles/Default/background_color \#000000
#%gconf2_set string /apps/gnome-terminal/profiles/Default/font Monospace Bold 16
%gconf2_set string /apps/gnome-terminal/profiles/Default/font VGA9 12
%gconf2_set bool /apps/gnome-terminal/profiles/Default/use_theme_colors false
%gconf2_set bool /apps/gnome-terminal/profiles/Default/use_system_font false

%if 0
# keybindings
%gconf2_set string /apps/gnome-terminal/keybindings/prev_tab \<Shift\>Left
%gconf2_set string /apps/gnome-terminal/keybindings/next_tab \<Shift\>Right
%endif

%update_menus
%update_scrollkeeper

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%postun
%clean_menus
%clean_scrollkeeper

%files -f %name.lang
%_bindir/*
%_libdir/bonobo/*/*
%_datadir/applications/*
%_datadir/application-registry/*
%_datadir/%name
%_datadir/pixmaps/*
%_iconsdir/*.png
%_iconsdir/*/*.png
%_menudir/*
%config %_sysconfdir/gconf/*/*
%doc --no-dereference COPYING
%doc AUTHORS ChangeLog NEWS README

%changelog
* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Thu Feb 24 2005 Yuri N. Sedunov <aris@altlinux.ru> 2.9.2-alt1
- 2.9.2.

* Wed Dec 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.2-alt1
- 2.8.2

* Wed Oct 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.8.0-alt1
- 2.8.0

* Mon Sep 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.7.3-alt1
- 2.7.3

* Sun Apr 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.1-alt1
- 2.6.1

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.6.0-alt1
- 2.6.0

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.90-alt1
- 2.5.90

* Wed Feb 18 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.5-alt1
- 2.5.5
- removed monospace.patch (fixed in upstream).
- requires xfonts-uni-vga (now default font is "VGA9 12")

* Wed Feb 04 2004 Yuri N. Sedunov <aris@altlinux.ru> 2.5.4-alt1
- 2.5.4

* Mon May 26 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.3.1-alt1
- 2.3.1. By ZVT :/.

* Sun Feb 09 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.1-alt1
- 2.2.1

* Tue Jan 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.2.0-alt1
- 2.2.0

* Fri Jan 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.4-alt1
- 2.1.4

* Sat Dec 14 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- Build with libzvt again.

* Tue Dec 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- 2.1.3
- Test build with vte 0.10.7 (:-//)

* Wed Nov 27 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.2-alt1
- 2.1.2
  (mhz) - Mandrake: remove patches 1 (no longer needed), 3 (merged upstream)
	- Added icons (thanks Mandrake)
- Some default keybindings.

* Mon Nov 04 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.1-alt1
- 2.1.1

* Fri Oct 11 2002 Stanislav Ievlev <inger@altlinux.ru> 2.1.0-alt2
- fix default settings using %%gconf_add macro

* Thu Oct 03 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.0-alt1
- 2.1.0
- patch3 in mainstream now.

* Sat Sep 28 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt2
- Applied mdk patches.
- Requires newest libzvt-2.0.1-alt2
- Buildreqs updated.

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.1-alt1
- 2.0.1

* Thu Jun 20 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.0.0-alt1
- First build for Sisyphus.
